This is the mail archive of the binutils@sourceware.org mailing list for the binutils project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: objcopy with EFI x86_64 support


I have used the option "--enable-targets=all". If this doesn't work why
should the sub-set work? I've tried your suggestion nonetheless but it
didn't produce an objcopy with the desired support.

Thanks anyway
Peter

Jan Beulich <JBeulich@suse.com> schrieb am Fr., 7. Dez. 2018 11:34:

> >>> On 06.12.18 at 19:51, <peter.wiehe2@gmail.com> wrote:
> > Hello binutils-list-readers,
> >
> > I'm completely new to building binutils from source.
> >
> > I'm on a GNU/Linux system (xubuntu 18.04 LTS 64bit).
> >
> > My goal is to build a version of objcopy that can support EFI x86_64.
> >
> > I've read that binutils 2.24 have that support. But I can build none of
> > the 2 snapshots for 2.24 (make fails with errors but I guess for old
> > versions the exact error messages are not interesting anymore).
> >
> > And after building building 2.30.0 (with enabling all targets) I found
> > out that it has NOT efi x86-64 support.
>
> Whatever "enabling all targets" might mean to you. Have you
> tried passing --enable-targets=x86_64-pep to configure? That's
> all I've needed in my builds, for quite a long time.
>
> Jan
>
>
>


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]